Debian Bug report logs - #477060
texlive-base: license of amslatex is unclear

version graph

Package: texlive-base; Maintainer for texlive-base is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-base is src:texlive-base.

Reported by: Frank Küster <frank@debian.org>

Date: Sun, 20 Apr 2008 18:06:07 UTC

Severity: serious

Tags: lenny-ignore

Found in version texlive-base/2007-13

Fixed in version texlive-base/2009-10

Done: Norbert Preining <preining@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Küster <frank@debian.org>, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
New Bug report received and forwarded. Copy sent to Frank Küster <frank@debian.org>, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texlive-base: license of amslatex is unclear
Date: Sun, 20 Apr 2008 20:11:13 +0200
Package: texlive-base
Version: 2007-13
Severity: serious

Hi,

this is somewhat a follow up bug for #356853, in which this issue was
discussed earlier. Since this bug contains information about half a
gazillion of different TeX packages, most of which are now settled to be
free, or removed, it's hard to track the real issues. Therefore I am
opening bugs for the things that remain, and this is for amslatex.  I'll
try to gather all the information about this particular package and
forward the messages individually, as soon as I get a bug number.

Regards, Frank



-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (99, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages texlive-base depends on:
ii  texlive-base-bin 2007.dfsg.1-2.np.etch.1 TeX Live: Essential binaries
ii  texlive-common   2007-13                 TeX Live: Base component
ii  texlive-doc-base 2007-3                  TeX Live: Base documentation

Versions of packages texlive-base recommends:
ii  dvipdfmx                    1:20050831-5 A DVI to PDF translator with CJK s
ii  lmodern                     1.010x-4     scalable PostScript and OpenType f

Versions of packages tex-common depends on:
ii  debconf                      1.5.11etch1 Debian configuration management sy
ii  ucf                          2.0020      Update Configuration File: preserv

Versions of packages texlive-base is related to:
pn  tetex-base                    <none>     (no description available)
ii  tetex-bin                     2007-13    TeX Live: teTeX transitional packa
ii  tetex-extra                   2007-13    TeX Live: teTeX transitional packa
ii  tex-common                    1.10       common infrastructure for building

-- debconf information:
  tex-common/check_texmf_wrong:
  tex-common/check_texmf_missing:

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 477060@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#477060: texlive-base: license of amslatex is unclear
Date: Sun, 20 Apr 2008 22:19:02 +0200
Frank Küster <frank@debian.org> wrote:

> I'll
> try to gather all the information about this particular package and
> forward the messages individually, as soon as I get a bug number.

Here's the first:

From: Frank Küster <frank@kuesterei.ch>
Subject: Unclear License of AMSLaTeX
To: tech-support@ams.org
Cc: 363061@bugs.debian.org, TeXLive <texlive@tug.org>
Date: Thu, 27 Apr 2006 19:32:54 +0200

Dear AMSLaTeX team,

I'm a little confused with regard to the license of amslatex.  On CTAN
and in the TeX Catalogue, the license information says that it is
licensed under the LPPL (LaTeX Project Public License).  However,
neither on amslatex' homepage, http://www.ams.org/tex/amslatex.html, nor
in the files on CTAN is a hint that this is actually true.

On the contrary, one of the files in the amsrefs subdirectory,
pcatcode.dtx, says that it's licensed under the Artistic license (which
is pretty unspecific, there are many versions around), and most other
files contain a statement like this:

%%%     copyright       = "Copyright 1995 American Mathematical Society,
%%%                        all rights reserved.  Copying of this file is
%%%                        authorized only if either:
%%%                        (1) you make absolutely no changes to your copy,
%%%                        including name; OR
%%%                        (2) if you do make changes, you first rename it
%%%                        to some other name.",

This is clearly not what the LPPL grants and requires, not even older
versions:

- it does not permit to distribute changed versions, even when renamed, 

- the current LPPL allows to change the internal identification as an
  alternative to renaming the file, and

- this text doesn't even allow to copy amsclass.dtx to amsclass.dtx.bak

I am sure this is not what was originally intended.  Therefore I'd like
to kindly request that you clarify the license situation, communicate
this to distributors, and include the information in the next release.
In my opinion, the LPPL is indeed a good choice for a LaTeX extension,
and I'd be glad to see amslatex unambiguously LPPL'ed.

Anyway, many thanks for providing and maintaining this great LaTeX
extension! 

Kind regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)







-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 477060@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#477060: texlive-base: license of amslatex is unclear
Date: Mon, 21 Apr 2008 08:40:47 +0200
Frank Küster <frank@debian.org> wrote:

> Here's the first:

And the second:

From: AMS Technical Support <tech-support@ams.org>
Subject: re: Unclear License of AMSLaTeX
To: "[iso-8859-1] Frank Kster" <frank@kuesterei.ch>
cc: 363061@bugs.debian.org, TeXLive <texlive@tug.org>, tech-support@ams.org
Date: Fri, 28 Apr 2006 10:20:54 -0400 (EDT)
Reply-To: tech-support@ams.org

hi, frank, et al.

please be assured that our intent is simply to ensure
that, when one of our authors uses an ams-latex package,
s/he can be certain that it is the one that we support,
not a modified version.  there is no intent to restrict
distribution of changed versions as long as the name
has been changed and any indication that ams is the
source of support has been removed.  (this applies as
well to ams-tex and amsfonts, which are on ctan, and
to specific ams author packages, which are not.)

the wording of the copyright is drawn from knuth's
original on tex itself, long before latex or any similar
license existed.  we have used this wording from our very
first release of ams-tex, and haven't changed it since then.
the latex team has accepted in good faith that our intent
coincides with theirs, but with the growing controversy
over the wording of licenses, it appears this acceptance
is not general.

i'm not really familiar with the file pcatcode.dtx.
amsrefs has always been in the purview of another person,
first michael downes, and now david jones.  however, i
know that michael was a party to many latex license
discussions, and that is perhaps why he chose to cite
the artistic license rather than use the "usual" ams
statement.  since he's no longer with us, we can't know
for sure, although i'm willing to ask frank mittelbach.

regarding the "usual" ams statement, i've started a
discussion here about possibly changing the statement
to the lppl, or whatever is appropriate that will still
ensure the "authority" of what is in distribution so
that we won't be blind-sided by author submissions
based on modified versions that we're not aware of,
and can't support.  it's very important to us that
ams-latex has been adopted into standard latex; we
hope the entire community benefits -- we certainly do.

any change will have to be approved here by higher
management, and we are not likely to distribute a new
release without also taking into account the bug reports
that have surfaced since the last release, so getting
something done will take some time.  but we will try.

Barbara Beeton
Technical Support
American Mathematical Society
Phone: 800-321-4AMS (321-4267) or 401-455-4080
Internet: tech-support@ams.org

p.s.  your message to tech-support was trapped by
our spam filter, although the copy to tex-live was
not.  i'm totally confused, and have turned that
over to our systems gurus to decipher.  do you have
any ideas why this might have happened?

---------- Original message ----------
Date: Thu, 27 Apr 2006 19:32:54 +0200
From: "[iso-8859-1] Frank Küster" <frank@kuesterei.ch>
To: tech-support@ams.org
Cc: 363061@bugs.debian.org, TeXLive <texlive@tug.org>
Subject: Unclear License of AMSLaTeX

Dear AMSLaTeX team,

I'm a little confused with regard to the license of amslatex.  On CTAN
and in the TeX Catalogue, the license information says that it is
licensed under the LPPL (LaTeX Project Public License).  However,
neither on amslatex' homepage, http://www.ams.org/tex/amslatex.html, nor
in the files on CTAN is a hint that this is actually true.

On the contrary, one of the files in the amsrefs subdirectory,
pcatcode.dtx, says that it's licensed under the Artistic license (which
is pretty unspecific, there are many versions around), and most other
files contain a statement like this:

%%%     copyright       = "Copyright 1995 American Mathematical Society,
%%%                        all rights reserved.  Copying of this file is
%%%                        authorized only if either:
%%%                        (1) you make absolutely no changes to your copy,
%%%                        including name; OR
%%%                        (2) if you do make changes, you first rename it
%%%                        to some other name.",

This is clearly not what the LPPL grants and requires, not even older
versions:

- it does not permit to distribute changed versions, even when renamed,

- the current LPPL allows to change the internal identification as an
  alternative to renaming the file, and

- this text doesn't even allow to copy amsclass.dtx to amsclass.dtx.bak

I am sure this is not what was originally intended.  Therefore I'd like
to kindly request that you clarify the license situation, communicate
this to distributors, and include the information in the next release.
In my opinion, the LPPL is indeed a good choice for a LaTeX extension,
and I'd be glad to see amslatex unambiguously LPPL'ed.

Anyway, many thanks for providing and maintaining this great LaTeX
extension!

Kind regards, Frank
--
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)


-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 477060@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [Barbara Beeton] texlive license
Date: Mon, 21 Apr 2008 20:17:04 +0200
[tex-live] texlive license
Barbara Beeton bnb at ams.org
Sun Aug 19 21:04:21 CEST 2007

    * Previous message: [tex-live] texlive license
    * Next message: [tex-live] texlive license
    * Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

On Sat, 18 Aug 2007, Karl Berry wrote:

    [...]

    I asked Barbara Beeton at the AMS about taking care of the pcatcode
    madness, in hopes we can get a free version shortly.  I'm sure they did
    not intend the current situation.

the current situation was absolutely not
intended.  the person who now maintains
amsrefs will change the license information
for pcatcode to lppl, and the new version
will be posted as soon as i've been told
that the change has been made.

the rest of amsrefs will be modified similarly,
as will all ams-latex files, effective with
the next regular update, expected (probably)
sometime in 2008.
							-- bb

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 477060@bugs.debian.org
Subject: Re: Bug#477060: [Barbara Beeton] texlive license
Date: Mon, 21 Apr 2008 22:51:03 +0200
From: Frank Küster <frank@kuesterei.ch>
Subject: Re: [tex-live] texlive license
To: tex-live@tug.org
Cc: 363061@bugs.debian.org
Date: Wed, 22 Aug 2007 19:46:18 +0200

Barbara Beeton <bnb@ams.org> wrote:

> On Sat, 18 Aug 2007, Karl Berry wrote:
>
>     [...]
>
>     I asked Barbara Beeton at the AMS about taking care of the pcatcode
>     madness, in hopes we can get a free version shortly.  I'm sure they did
>     not intend the current situation.
>
> the current situation was absolutely not
> intended.  the person who now maintains
> amsrefs will change the license information
> for pcatcode to lppl, and the new version
> will be posted as soon as i've been told
> that the change has been made.
>
> the rest of amsrefs will be modified similarly,
> as will all ams-latex files, effective with
> the next regular update, expected (probably)
> sometime in 2008.

Thanks for the news.  Will the 2008 update also contain clarifications
of the amslatex license itself[1], or will that not be sorted out in
time? 

Thanks for your work, 
Frank


[1] as we discussed earlier, the main license text has ambiguous wording
regarding modifications, and there are a couple of files under unclear
licenses. 

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Barbara Beeton <tech-support@ams.org>
Cc: 477060@bugs.debian.org, TeXLive <tex-live@tug.org>
Subject: Re: Bug#477060: [Barbara Beeton] texlive license
Date: Thu, 24 Apr 2008 22:14:11 +0200
Dear Barbara,

long ago...

 Barbara Beeton <bnb@ams.org> wrote:

> On Sat, 18 Aug 2007, Karl Berry wrote:
>
>     [...]
>
>     I asked Barbara Beeton at the AMS about taking care of the pcatcode
>     madness, in hopes we can get a free version shortly.  I'm sure they did
>     not intend the current situation.
[...]
> the rest of amsrefs will be modified similarly,
> as will all ams-latex files, effective with
> the next regular update, expected (probably)
> sometime in 2008.

There is also the other issue of the unclear license state of
amslatex[1].  Can you already tell us whether this will be sorted out in
time for the 2008 update?  

Im asking in particular because the policy of our Debian release team
makes me a bit nervous: They happily accept packages with yet-to-clarify
licenses if the upstream maintainer has agreed to clear things up, and
they already did this when we released "Debian etch 4.0" in
2006. However, they except that things should be sorted out in the time
it takes Debian to prepare a new release. These two years are now nearly
over, and well, I fear they might not allow us to include amslatex in
our TeXLive Debian packages - which would be extremely regretful.


I would be glad if you could give us some information what your plans
are,

Frank


[1] as we discussed earlier, the main license text has ambiguous wording
regarding modifications, and there are a couple of files under unclear
licenses. 
-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Barbara Beeton <bnb@ams.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 477060@bugs.debian.org (full text, mbox):

From: Barbara Beeton <bnb@ams.org>
To: Frank Küster <frank@debian.org>
Cc: Barbara Beeton <tech-support@ams.org>, 477060@bugs.debian.org, TeXLive <tex-live@tug.org>
Subject: Re: [tex-live] Bug#477060: [Barbara Beeton] texlive license
Date: Thu, 24 Apr 2008 17:07:26 -0400 (EDT)
frank,

    long ago...

indeed!

     Barbara Beeton <bnb@ams.org> wrote:
    
    > On Sat, 18 Aug 2007, Karl Berry wrote:
    >
    >     [...]
    >
    >     I asked Barbara Beeton at the AMS about taking care of the pcatcode
    >     madness, in hopes we can get a free version shortly.  I'm sure they
    >     did not intend the current situation.
    [...]
    > the rest of amsrefs will be modified similarly,
    > as will all ams-latex files, effective with
    > the next regular update, expected (probably)
    > sometime in 2008.

we are actively working on an update.
it has gotten as far as a complete list of
the open bug reports, and a good start on
verifying that appropriate test files exist
for all of them.  but that's far from the
end result, which i'm sure won't be finished
before this year's tex live is frozen.

    There is also the other issue of the unclear license state of
    amslatex[1].  Can you already tell us whether this will be sorted out in
    time for the 2008 update?  

unfortunately, not.  however, changing the
license to be explicitly lppl is on the list
of things that must be done.  (since this
isn't "technical", it can be done relatively
simply, since it won't require testing.  whew!)

    Im asking in particular because the policy of our Debian release team
    makes me a bit nervous: They happily accept packages with yet-to-clarify
    licenses if the upstream maintainer has agreed to clear things up, and
    they already did this when we released "Debian etch 4.0" in
    2006. However, they except that things should be sorted out in the time
    it takes Debian to prepare a new release. These two years are now nearly
    over, and well, I fear they might not allow us to include amslatex in
    our TeXLive Debian packages - which would be extremely regretful.

that would make us rather unhappy as well, but
if it happens, it can't be helped.  our staff is
just too small and too overwhelmed with production
deadlines to be able to devote the time solely to
getting the new release of ams-latex ready.

    I would be glad if you could give us some information what your plans
    are,

our hope is that, barring disasters, the update
of ams-latex -- all of it -- will be ready by
the end of the calendar year.  (but unfortunately,
we must allow for disasters; this past year has
been spent migrating book and journal production
from vms to unix, involving retraining of the
entire editorial and production staff.  we still
have the most troublesome publications -- those
still in plain tex, with such delights as data
files shared between multiple publications with
different formatting requirements -- under vms,
and setting up the very different infrastructure
for unix processing hasn't yet begun.)

    [1] as we discussed earlier, the main license text has ambiguous wording
    regarding modifications, and there are a couple of files under unclear
    licenses. 

yes.  we intend that all of this will be cleared
up in the next release.  the original intent of
the current wording was to emulate knuth's
intentions regarding tex itself; the request for
files to be renamed if changes are made is to
ensure that our own production is not skewered
by well-intentioned but unannounced modifications
that prevent an allegedly "compliant" file from
processing properly when it is received here for
production and publication.  (we have enough
problems with authors using antiquated versions
that were once valid, but have long since been
superseded by improved code.)

i will try to keep the tex live group informed of
our progress; i'm in pretty regular communication
with karl about this and other matters.  please
wish us smooth sailing.

Barbara Beeton
Technical Support
American Mathematical Society
Phone: 800-321-4AMS (321-4267) or 401-455-4080
Internet: tech-support@ams.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Barbara Beeton <bnb@ams.org>
Cc: 477060@bugs.debian.org, TeXLive <tex-live@tug.org>
Subject: Re: Bug#477060: [tex-live] Bug#477060: [Barbara Beeton] texlive license
Date: Fri, 25 Apr 2008 23:03:05 +0200
Barbara Beeton <bnb@ams.org> wrote:

> that would make us rather unhappy as well, but
> if it happens, it can't be helped.  our staff is
> just too small and too overwhelmed with production
> deadlines to be able to devote the time solely to
> getting the new release of ams-latex ready.

I understand and hope that our release team will have understanding,
too. 

> our hope is that, barring disasters, the update
> of ams-latex -- all of it -- will be ready by
> the end of the calendar year.  (but unfortunately,
> we must allow for disasters; this past year has
> been spent migrating book and journal production
> from vms to unix, involving retraining of the
> entire editorial and production staff.

From what I know from vms, migrating non-geek staff who's used to the
old ways for their whole computer-aware lifetime should be quite
hard... 

Happy TeXing,
Frank
-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Debian Release Management <debian-release@lists.debian.org>
Cc: 491354@bugs.debian.org, 477060@bugs.debian.org, 483217@bugs.debian.org
Subject: Handling of RC licensing bugs in TeXLive
Date: Sun, 20 Jul 2008 17:04:55 +0200
Dear release team,

I kindly request your advice on handling three RC bugs in TeXLive
packages, and maybe ask for a lenny-ignore tag.  Although all bug
numbers look quite recent, the first two are actually very old. But
these issues were originally reported against existing bugs in teTeX
which collected all license issues known at this time, and have now been
separated.


#477060, amslatex license; Source Package: texlive-base

Details of problems: The license of the AMSLaTeX package (Copyright by
        the American Mathematical Society, AMS) is phrased badly and is
        literally non-free. Plus, individual files have a different
        license header in the file.

What's happened so far:

       - Barbara Beeton at AMS has been contacted in April 2006 and
         answered promptly. A discussion about License details followed,
         only the parts relevant for AMSLaTeX are in the bug report. She
         said they'd sort this out and use a DFSG-free license, but that
         this might take long, because the people doing the work aren't
         the ones to decide (and I guess the AMS management needed to
         ask a lawyer, too).

       - Following this answer, the bug report which originally
         contained this conversation, #356853, got an etch-ignore tag. 

       - Nothing happened (no upload of AMSLaTeX to CTAN, in particular)

       - In 2007, Barbara Beeton said they were working on it, and how
         they planned to change things (but referring only to a part of
         the problem)

       - In particular, she said that the license of the
         individual files, as well as some related package, amsrefs, to
         the LPPL. This is planned for the 2008 update of AMS macros

       - In April this year, the discussion came up again on the
         Upstream (TeXLive) list, and Barbara Beeton answered again (see
         http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477060#45),
         now saying that the license of AMSLaTeX itself is going to be
         sorted out in a subsequent step. The timeline is

        ,----
        | our hope is that, barring disasters, the update
        | of ams-latex -- all of it -- will be ready by
        | the end of the calendar year.  (but unfortunately,
        | we must allow for disasters; this past year has [...]
        `----

I am aware that foo-ignore tags are usually granted for licensing issues
when it upstream has assured to be willing to clarify the situation in a
DFSG-free manner, *and* it can be expected that this is going to happen
in a timely manner. And that "timely manner" usually does not mean
longer than a Debian stable lifetime. While the first is completely true
here, the update has already taken very long, and there is now no chance
to get the planned update into lenny.  I can personally understand well
why Upstream (AMS) has not been able to make an upload - their business
is not software development, but support for american mathematicians,
and I am sure that they *will* eventualy do it. But I would also accept
if the release team no longer feels confident that anything is going to
happen.

Anyway, I kindly request considering a lenny-ignore tag for this bug.


#483217, files by Donald Arseneau; Source Package: texlive-base

This has also first been reported in #356853.

Details of the problem: Donald Arseneau is a long-time contributor to
the TeX community.  In the old days he used no license at all, or very
different license texts, many of which are legally unclear ("This is
free, unencumbered, unsupported software."), for his works. But the
general believe in the community is that he intends his stuff to be free
software. Just he doesn't care for legalese, and isn't easy to convince
to make any change.

Lately, I asked about this on the Upstream (TeXLive) mailing list, and
got an answer in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356853#260 with contact
data and a discouraging comment about getting an answer from him about
licensing stuff. Still, I would prefer to give it a try and convice him
before simply removing the files.

However, it is clear that no one among the Debian TeX Team will have
time to do this in the next couple of weeks, in other words in a
timeframe usefull for the lenny release. 

The reasons: Many contributors to the team usually just leave licensing
questions to Norbert and me. Norbert is on VAC for I think 5 more weeks,
and I have just become father of a sweet son and am going to start my
paid work again tomorrow. I am sure this will leave me no time to
concentrate on a conversation with someone who's a bit "problematic", in
particular not to follow up on answers soon. And IMO not allowing things
to be forgotten is very important when discussing licensing things with
reluctant upstreams.

Thus, our personal timeline would be "contact him in autumn, give the
attempt two or three weeks, and remove if nothing can be gained". Again,
this doesn't fit the lenny release timeline. Furthermore, one open
question is whether files with unclear phrasing of their license should
be removed "to be sure" or can be kept if we believe it is safe.

I'd be glad if you'd grant this bug a lenny-ignore tag, too, although I
admit that the reasoning is weak.


#491354, Source Package: texlive-extra

This has been found out only recently by Karl Berry on the TeXLive
list. In a mail about a functional patch to one of the files he wrote in
parentheses "I wonder if these wsuipa fonts are truly free, BTW.  I see
no notices anywhere."

Upstream is just about to release TeXLive 2008. This means that Karl in
particular will be completely taken up by this for the next 2 to 4
weeks. From what I know from him, he will probably follow up on that
issue himself, more so when we remind him. But he won't do it in the
next month.

In the case of this bug, I suggest to leave it just as it is for a
while: No ignore tags, since it wouldn't be warranted, but also no
removal from the package (or of the package). If Karl is still unable to
help us in late August, we should try to find time to make the contact
ourselves, and if that doesn't happen or is unsuccessful the fonts
should be removed shortly before the release.



Some remarks on the impact of removal:

We must admit that we do not know whether any of these files is used for
building Debian packages. My guess is that AMSLaTeX might be used by
some mathematics packages. This could be checked by looking at packages
with debtag field:mathematics which contain documentation, and verifying
whether any of them has hand-written LaTeX documentation (as opposed to
generated code).  The files by Donald Arseneau might also be used by
packages' documentation, but I don't think this is very likely. The
wsuipa phonetic fonts are outdated (superseded by tipa), and my guess is
that any actively developped package related to phonetics has switched
to tipa.


I'd appreciate your comments, 

Frank

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 477060@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@kuesterei.ch>, 491354@bugs.debian.org
Cc: Debian Release Management <debian-release@lists.debian.org>, 477060@bugs.debian.org, 483217@bugs.debian.org
Subject: Re: Bug#491354: Handling of RC licensing bugs in TeXLive
Date: Mon, 21 Jul 2008 11:13:25 +0200
Hi all,

I might add one point:

On So, 20 Jul 2008, Frank K�ster wrote:
> #477060, amslatex license; Source Package: texlive-base

Removing amslatex would severly reduce the usability of TeX on Debian.
Nowadays practically all articles using some formulas are using amslatex
packages, and this is so recommended in most documentations (giving
better spacing etc).

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
BOLSOVER
One of those brown plastic trays with bumps on, placed upside down in
boxes of chocolates to make you think you're-getting two layers.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Release Management <debian-release@lists.debian.org>
Cc: 491354@bugs.debian.org, 477060@bugs.debian.org, 483217@bugs.debian.org
Subject: Re: Bug#491354: Handling of RC licensing bugs in TeXLive
Date: Sun, 27 Jul 2008 21:29:56 +0200
Hi all, 

Frank Küster <frank@kuesterei.ch> wrote:

> Dear release team,
>
> I kindly request your advice on handling three RC bugs in TeXLive
> packages, 

will someone among you find time to handle this issue?  You are probably
aware that the texlive cannot simply be removed if their RC bug seems to
block the release, because this would cause tons of FTBFS RC bugs.

So this has to be acted on. For one of the three bugs, we ask for a
lenny-ignore tag. For one more, we ask you to consider this, although we
are unsure whether this is acceptable for the release team.

Regards, Frank

Fullquote follows:

> Although all bug
> numbers look quite recent, the first two are actually very old. But
> these issues were originally reported against existing bugs in teTeX
> which collected all license issues known at this time, and have now been
> separated.
>
>
> #477060, amslatex license; Source Package: texlive-base
>
> Details of problems: The license of the AMSLaTeX package (Copyright by
>         the American Mathematical Society, AMS) is phrased badly and is
>         literally non-free. Plus, individual files have a different
>         license header in the file.
>
> What's happened so far:
>
>        - Barbara Beeton at AMS has been contacted in April 2006 and
>          answered promptly. A discussion about License details followed,
>          only the parts relevant for AMSLaTeX are in the bug report. She
>          said they'd sort this out and use a DFSG-free license, but that
>          this might take long, because the people doing the work aren't
>          the ones to decide (and I guess the AMS management needed to
>          ask a lawyer, too).
>
>        - Following this answer, the bug report which originally
>          contained this conversation, #356853, got an etch-ignore tag. 
>
>        - Nothing happened (no upload of AMSLaTeX to CTAN, in particular)
>
>        - In 2007, Barbara Beeton said they were working on it, and how
>          they planned to change things (but referring only to a part of
>          the problem)
>
>        - In particular, she said that the license of the
>          individual files, as well as some related package, amsrefs, to
>          the LPPL. This is planned for the 2008 update of AMS macros
>
>        - In April this year, the discussion came up again on the
>          Upstream (TeXLive) list, and Barbara Beeton answered again (see
>          http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477060#45),
>          now saying that the license of AMSLaTeX itself is going to be
>          sorted out in a subsequent step. The timeline is
>
>         ,----
>         | our hope is that, barring disasters, the update
>         | of ams-latex -- all of it -- will be ready by
>         | the end of the calendar year.  (but unfortunately,
>         | we must allow for disasters; this past year has [...]
>         `----
>
> I am aware that foo-ignore tags are usually granted for licensing issues
> when it upstream has assured to be willing to clarify the situation in a
> DFSG-free manner, *and* it can be expected that this is going to happen
> in a timely manner. And that "timely manner" usually does not mean
> longer than a Debian stable lifetime. While the first is completely true
> here, the update has already taken very long, and there is now no chance
> to get the planned update into lenny.  I can personally understand well
> why Upstream (AMS) has not been able to make an upload - their business
> is not software development, but support for american mathematicians,
> and I am sure that they *will* eventualy do it. But I would also accept
> if the release team no longer feels confident that anything is going to
> happen.
>
> Anyway, I kindly request considering a lenny-ignore tag for this bug.
>
>
> #483217, files by Donald Arseneau; Source Package: texlive-base
>
> This has also first been reported in #356853.
>
> Details of the problem: Donald Arseneau is a long-time contributor to
> the TeX community.  In the old days he used no license at all, or very
> different license texts, many of which are legally unclear ("This is
> free, unencumbered, unsupported software."), for his works. But the
> general believe in the community is that he intends his stuff to be free
> software. Just he doesn't care for legalese, and isn't easy to convince
> to make any change.
>
> Lately, I asked about this on the Upstream (TeXLive) mailing list, and
> got an answer in
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356853#260 with contact
> data and a discouraging comment about getting an answer from him about
> licensing stuff. Still, I would prefer to give it a try and convice him
> before simply removing the files.
>
> However, it is clear that no one among the Debian TeX Team will have
> time to do this in the next couple of weeks, in other words in a
> timeframe usefull for the lenny release. 
>
> The reasons: Many contributors to the team usually just leave licensing
> questions to Norbert and me. Norbert is on VAC for I think 5 more weeks,
> and I have just become father of a sweet son and am going to start my
> paid work again tomorrow. I am sure this will leave me no time to
> concentrate on a conversation with someone who's a bit "problematic", in
> particular not to follow up on answers soon. And IMO not allowing things
> to be forgotten is very important when discussing licensing things with
> reluctant upstreams.
>
> Thus, our personal timeline would be "contact him in autumn, give the
> attempt two or three weeks, and remove if nothing can be gained". Again,
> this doesn't fit the lenny release timeline. Furthermore, one open
> question is whether files with unclear phrasing of their license should
> be removed "to be sure" or can be kept if we believe it is safe.
>
> I'd be glad if you'd grant this bug a lenny-ignore tag, too, although I
> admit that the reasoning is weak.
>
>
> #491354, Source Package: texlive-extra
>
> This has been found out only recently by Karl Berry on the TeXLive
> list. In a mail about a functional patch to one of the files he wrote in
> parentheses "I wonder if these wsuipa fonts are truly free, BTW.  I see
> no notices anywhere."
>
> Upstream is just about to release TeXLive 2008. This means that Karl in
> particular will be completely taken up by this for the next 2 to 4
> weeks. From what I know from him, he will probably follow up on that
> issue himself, more so when we remind him. But he won't do it in the
> next month.
>
> In the case of this bug, I suggest to leave it just as it is for a
> while: No ignore tags, since it wouldn't be warranted, but also no
> removal from the package (or of the package). If Karl is still unable to
> help us in late August, we should try to find time to make the contact
> ourselves, and if that doesn't happen or is unsuccessful the fonts
> should be removed shortly before the release.
>
>
>
> Some remarks on the impact of removal:
>
> We must admit that we do not know whether any of these files is used for
> building Debian packages. My guess is that AMSLaTeX might be used by
> some mathematics packages. This could be checked by looking at packages
> with debtag field:mathematics which contain documentation, and verifying
> whether any of them has hand-written LaTeX documentation (as opposed to
> generated code).  The files by Donald Arseneau might also be used by
> packages' documentation, but I don't think this is very likely. The
> wsuipa phonetic fonts are outdated (superseded by tipa), and my guess is
> that any actively developped package related to phonetics has switched
> to tipa.
>
>
> I'd appreciate your comments, 
>
> Frank
>
> -- 
> Frank Küster
> Debian Developer (teTeX/TeXLive)

-- 
Frank Küster
Debian Developer (TeXLive)
ADFC Miltenberg
B90/Grüne KV Miltenberg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 477060@bugs.debian.org
Subject: [Adam C Powell IV] Re: Where are \mathbg and \text?
Date: Mon, 01 Sep 2008 21:33:55 +0200
[Message part 1 (text/plain, inline)]
Hi,

It seems that doxygen uses amsmath features, see the attached mail. This
must be considered before acting on this bug.

Regards, Frank

[Message part 2 (message/rfc822, inline)]
From: Adam C Powell IV <hazelsct@debian.org>
To: debian-tex-maint@lists.debian.org
Subject: Re: Where are \mathbg and \text?
Date: Thu, 28 Aug 2008 09:59:11 -0400
[Message part 3 (text/plain, inline)]
On Thu, 2008-08-28 at 00:16 +0100, Julian Gilbey wrote: 
> On Wed, Aug 27, 2008 at 04:34:54PM -0400, Adam C Powell IV wrote:
> > Greetings,
> > 
> > I have a new package whose latex-generated documentation uses \mathbg
> > and \text in math environments.  Those commands don't work:
> > ! Undefined control sequence.
> > l.3810 ...\mathbf z) \qquad \qquad \forall \mathbg
> >                                                    z\in V_h \\ \mathbf{W}^{k...
> > The control sequence at the end of the top line
> > of your error message was never \def'ed. If you have
> > misspelled it (e.g., `\hobx'), type `I' and the correct
> > spelling (e.g., `I\hbox'). Otherwise just continue,
> > and I'll forget about whatever was undefined.
> > 
> > ! Undefined control sequence.
> > l.3942 $\int_K \sum_{c=1}^{\text
> >                                 {n\_components}} \sum_{d=1}^{\text{dim}} \ma...
> > The control sequence at the end of the top line
> > of your error message was never \def'ed. If you have
> > misspelled it (e.g., `\hobx'), type `I' and the correct
> > spelling (e.g., `I\hbox'). Otherwise just continue,
> > and I'll forget about whatever was undefined.
> > 
> > Does anyone know which package includes these?  I've tried
> > texlive-latex-extra and texlive-math-extra, to no avail.
> 
> Never come across \mathbg; is it a typo for \mathbf perhaps?
> And \text is in the amsmath package:
> \usepackage{amsmath}

Thanks!  I found \mathbg via Google in a couple of places, mainly
lyx-devel, it's a text background color.  Still no idea where it is
though.

I found it in _formulas.tex generated by doxygen, but can't find mathbg
anywhere in the source code or package doc/ directory, so doxygen must
be producing it somehow.  On the other hand, there's \mathbf z
previously on the same line...

So the bug is in doxygen: it needs to \usepackage{amsmath} and is
generating a bogus \mathbg.  Will file right now.

Thanks,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]
[Message part 5 (text/plain, inline)]
-- 
Frank Küster
Debian Developer (TeXLive)
ADFC Miltenberg
B90/Grüne KV Miltenberg

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Release Management <debian-release@lists.debian.org>
Cc: 477060@bugs.debian.org
Subject: Please add an lenny-ignore tag to bug #477060
Date: Tue, 02 Sep 2008 21:55:24 +0200
Dear release team,

as explained in my earlier mails, I request that you grant a
lenny-ignore tag to bug 

#477060 texlive-base: license of amslatex is unclear

We have already explained the reasons in
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=55;bug=477060 and
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=60;bug=477060

Meanwhile, it has been found out that doxygen creates code which
requires amslatex. This means that removing AMSLaTeX (in other words,
not granting the tag) will not be possible without delaying lenny for
weeks, except if someone steps up and does lots of test compiles and
maybe code fixes. 

Which I do not expect, since 

- the TeX team is no less overworked since I first asked the release
  team about the issue in July, and

- the release team doesn't seem to have any manpower to handle this.

Regards, Frank


-- 
Frank Küster
Debian Developer (TeXLive)
ADFC Miltenberg
B90/Grüne KV Miltenberg




Tags added: lenny-ignore Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Sun, 07 Sep 2008 07:52:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@ftwca.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 477060@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@ftwca.de>
To: Frank Küster <frank@debian.org>
Cc: Debian Release Management <debian-release@lists.debian.org>, 477060@bugs.debian.org
Subject: Re: Please add an lenny-ignore tag to bug #477060
Date: Sun, 07 Sep 2008 14:50:38 +0200
[Message part 1 (text/plain, inline)]
Frank Küster <frank@debian.org> writes:
> as explained in my earlier mails, I request that you grant a
> lenny-ignore tag to bug 
>
> #477060 texlive-base: license of amslatex is unclear

Sorry for the delay. Done, also for #483217.

Marc
-- 
Fachbegriffe der Informatik - Einfach erklärt
273: MIME
       Elektronische Fraktur. (Ralph Babel)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #87 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Marc 'HE' Brockschmidt <he@ftwca.de>
Cc: Debian Release Management <debian-release@lists.debian.org>, 477060@bugs.debian.org
Subject: Re: Please add an lenny-ignore tag to bug #477060
Date: Sun, 07 Sep 2008 17:48:56 +0200
Marc 'HE' Brockschmidt <he@ftwca.de> wrote:

> Frank Küster <frank@debian.org> writes:
>> as explained in my earlier mails, I request that you grant a
>> lenny-ignore tag to bug 
>>
>> #477060 texlive-base: license of amslatex is unclear
>
> Sorry for the delay. Done, also for #483217.

Many thanks to you!

Herzliche Grüße, Frank

-- 
Frank Küster
Debian Developer (TeXLive)
ADFC Miltenberg
B90/Grüne KV Miltenberg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Sun, 21 Sep 2008 09:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 21 Sep 2008 09:51:08 GMT) Full text and rfc822 format available.

Message #92 received at 477060@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Frank Küster <frank@debian.org>
Cc: Debian Release Management <debian-release@lists.debian.org>, 491354@bugs.debian.org, 477060@bugs.debian.org, 483217@bugs.debian.org
Subject: Re: Bug#491354: Handling of RC licensing bugs in TeXLive
Date: Sun, 21 Sep 2008 11:22:13 +0200
tag 477060 + lenny-ignore
tag 483217 + lenny-ignore
tag 491354 + lenny-ignore
thanks

* Frank Küster (frank@debian.org) [080727 19:29]:
> So this has to be acted on. For one of the three bugs, we ask for a
> lenny-ignore tag. For one more, we ask you to consider this, although we
> are unsure whether this is acceptable for the release team.

> > #477060, amslatex license; Source Package: texlive-base

agreed.

> > #483217, files by Donald Arseneau; Source Package: texlive-base

> > I'd be glad if you'd grant this bug a lenny-ignore tag, too, although I
> > admit that the reasoning is weak.

This case seems to be more ok, because we don't doubt about the intent -
we just need to fix the wording.


> > #491354, Source Package: texlive-extra
> >
> > This has been found out only recently by Karl Berry on the TeXLive
> > list. In a mail about a functional patch to one of the files he wrote in
> > parentheses "I wonder if these wsuipa fonts are truly free, BTW.  I see
> > no notices anywhere."


Given because that was noticed so late. "Lenny-ignore" of course doesn't
mean "not allowed to fix anymore", but just "we're not holding up the
release for it".



Cheers,
Andi




Tags added: lenny-ignore Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. (Sun, 21 Sep 2008 09:51:13 GMT) Full text and rfc822 format available.

Tags added: lenny-ignore Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 21 Sep 2008 10:36:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Mon, 17 Aug 2009 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benedikt Ahrens <benedikt.ahrens@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 17 Aug 2009 21:33:06 GMT) Full text and rfc822 format available.

Message #101 received at 477060@bugs.debian.org (full text, mbox):

From: Benedikt Ahrens <benedikt.ahrens@gmx.net>
To: 477060@bugs.debian.org
Subject: news concerning the amslatex license
Date: Mon, 17 Aug 2009 23:26:46 +0200
Hello,

I recently sent a message to the AMS in order to get updated news about
the relicensing issue. Perhaps you are interested in their answer.

Greetings
ben

(**********************)

Dear Benedikt,

The good news is that as we release new versions of our packages, we
have been updating the license to the following:

    % Unlimited copying and redistribution of this file are permitted as
    % long as this file is not modified.  Modifications, and distribution
    % of modified versions, are permitted, but only if the resulting file
    % is renamed.

We considered adopting the LPPL, but decided that the ban against
distributed modified files under the same name was critical to our
business interests.  This wording, which was suggested by Karl Berry
to address similar licensing concerns for TeXLive, will be used for
all future releases.

The new wording has already been applied to the following
distributions:

1) AMSFonts v3 -- released last month.  (The Type 1 font files are
   released under the SIL OFL, btw.)

2) The core AMS document classes (amsart.cls, amsbook.cls, and
   amsproc.cls) -- there was a minor maintenance release last month.
   Some of the related files may still have the old license.

3) AMSrefs

The bad news is that we still have not had occasion to update the core
amsmath package and related files.  We hope to release an upgrade of
amsmath at the end of this year or early next year, but I'm not in a
position to make any hard promises.

What we could do, if it would help, is add a 00LICENSE file to the
current distribution that contains the new license, an explanation of
the situation, and a statement that this supersedes the one in the
individual files.  I suspect that strictly speaking this is legally
dicey, but it would certainly make our intentions clear.

I hope that this is, if not completely satisfactory, at least
workable.  If you have any further questions or concerns, please let
me know and I'll do my best to address them.

Best wishes,
David M. Jones
Publications Technical Specialist
American Mathematical Society
http://www.ams.org/

> > Date: Wed, 29 Jul 2009 10:41:17 +0200
> > From: Benedikt.AHRENS@unice.fr
> > To: tech-support@ams.org
> > Subject: unclear licence of AMSLatex
> >
> > Dear AMSLatex team,
> >
> > this is a follow-up on a discussion in Debian's bug tracking system
concerning
> > the amslatex license [1]. This license is crucial for the decision
whether
> > amslatex will remain in the gNewSense distribution [2]
> > or not.
> >
> > In [3] a clarification of the legal situation was announced, but as
far as I
> > was able to figure out, the situation has not changed since.
> >
> > Could you please give me some information about
> > whether there will be a unified licensing for all the files included in
> > amslatex,
> > what this licence will be and
> > when to expect these changes?
> >
> > Since amslatex is a very widespread package, its removal of the
distribution
> > would break a lot, and I hope this could be avoided.
> >
> > I thank you very much in advance.
> > Kind regards,
> > Benedikt
> >
> >
> > [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477060
> > [2] http://www.gnewsense.org
> > [3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477060#20




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Tue, 18 Aug 2009 08:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Tue, 18 Aug 2009 08:54:09 GMT) Full text and rfc822 format available.

Message #106 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Benedikt Ahrens <benedikt.ahrens@gmx.net>
Cc: 477060@bugs.debian.org
Subject: Re: Bug#477060: news concerning the amslatex license
Date: Tue, 18 Aug 2009 10:51:14 +0200
Benedikt Ahrens <benedikt.ahrens@gmx.net> wrote:

> Hello,
>
> I recently sent a message to the AMS in order to get updated news about
> the relicensing issue. Perhaps you are interested in their answer.

Many thanks for taking this up!

> The good news is that as we release new versions of our packages, we
> have been updating the license to the following:
>
>     % Unlimited copying and redistribution of this file are permitted as
>     % long as this file is not modified.  Modifications, and distribution
>     % of modified versions, are permitted, but only if the resulting file
>     % is renamed.

Personally, I don't like the wording "file is renamed", because it is
ambiguous - in particular in a kpathsea-based TeX system where the path
is crucial for finding a file, and where an "aliases" file is
supported.  But I think Debian can accept this.  

> 2) The core AMS document classes (amsart.cls, amsbook.cls, and
>    amsproc.cls) -- there was a minor maintenance release last month.

Fine.

>    Some of the related files may still have the old license.

That probably means they didn't manage to contact all involved persons?
Well, Debian will probably be able to accept this for a while.

> 3) AMSrefs
>
> The bad news is that we still have not had occasion to update the core
> amsmath package and related files.  We hope to release an upgrade of
> amsmath at the end of this year or early next year, but I'm not in a
> position to make any hard promises.

So that means that again it won't be in TL 2009. If they manage to
release in time for Debian squeeze, I'll try to update this stuff
independently of TL upsstream.  Otherwise, well, it's a hard question if
we can include those file in stable with a non-free license *again*.

> What we could do, if it would help, is add a 00LICENSE file to the
> current distribution that contains the new license, an explanation of
> the situation, and a statement that this supersedes the one in the
> individual files.  I suspect that strictly speaking this is legally
> dicey, but it would certainly make our intentions clear.

I think Debian has usually accepted such statements, even as the final
action.  Not if they say "we intend to contact all copyright holders",
but if the say "we have confirmed with all copyright holders"
(explicitly or implicitly).

Regards, Frank
-- 
Dr. Frank Küster
Debian Developer (TeXLive)
VCD Aschaffenburg-Miltenberg, ADFC Miltenberg
B90/Grüne KV Miltenberg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Tue, 18 Aug 2009 21:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benedikt Ahrens <benedikt.ahrens@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Tue, 18 Aug 2009 21:24:04 GMT) Full text and rfc822 format available.

Message #111 received at 477060@bugs.debian.org (full text, mbox):

From: Benedikt Ahrens <benedikt.ahrens@gmx.net>
To: Frank Küster <frank@debian.org>
Cc: 477060@bugs.debian.org
Subject: Re: Bug#477060: news concerning the amslatex license
Date: Tue, 18 Aug 2009 23:18:39 +0200
Frank Küster wrote:
> Benedikt Ahrens wrote:
> 
>> Hello,
>>
>> I recently sent a message to the AMS in order to get updated news about
>> the relicensing issue. Perhaps you are interested in their answer.

>>    Some of the related files may still have the old license.
> 
> That probably means they didn't manage to contact all involved persons?
> Well, Debian will probably be able to accept this for a while.

It has been accepted for some time already, hasn't it? "The old
license", that's certainly the one of the files in Lenny. So the
integration of this release in Debian should be handled with care.

>> What we could do, if it would help, is add a 00LICENSE file to the
>> current distribution that contains the new license, an explanation of
>> the situation, and a statement that this supersedes the one in the
>> individual files.  I suspect that strictly speaking this is legally
>> dicey, but it would certainly make our intentions clear.

Will Debian add this 00LICENSE file to the Lenny package? The gNewSense
community/developers have accepted this solution and are planning to
update their texlive-base package.

Greetings
ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Thu, 20 Aug 2009 09:06:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benedikt Ahrens <benedikt.ahrens@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Thu, 20 Aug 2009 09:06:53 GMT) Full text and rfc822 format available.

Message #116 received at 477060@bugs.debian.org (full text, mbox):

From: Benedikt Ahrens <benedikt.ahrens@gmx.net>
To: Frank Küster <frank@debian.org>
Cc: 477060@bugs.debian.org
Subject: Re: Bug#477060: news concerning the amslatex license
Date: Thu, 20 Aug 2009 11:04:51 +0200
Frank Küster wrote:
> Benedikt Ahrens <benedikt.ahrens@gmx.net> wrote:
>> What we could do, if it would help, is add a 00LICENSE file to the
>> current distribution that contains the new license, an explanation of
>> the situation, and a statement that this supersedes the one in the
>> individual files.  I suspect that strictly speaking this is legally
>> dicey, but it would certainly make our intentions clear.
> 
> I think Debian has usually accepted such statements, even as the final
> action.  Not if they say "we intend to contact all copyright holders",
> but if the say "we have confirmed with all copyright holders"
> (explicitly or implicitly).

I've asked the AMS for the 00LICENSE file for the current distribution
and will forward any news I'll receive.

ben





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Thu, 20 Aug 2009 11:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Thu, 20 Aug 2009 11:15:11 GMT) Full text and rfc822 format available.

Message #121 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Benedikt Ahrens <benedikt.ahrens@gmx.net>
Cc: 477060@bugs.debian.org
Subject: Re: Bug#477060: news concerning the amslatex license
Date: Thu, 20 Aug 2009 13:01:53 +0200
Benedikt Ahrens <benedikt.ahrens@gmx.net> wrote:

> Frank Küster wrote:
>> Benedikt Ahrens <benedikt.ahrens@gmx.net> wrote:
>>> What we could do, if it would help, is add a 00LICENSE file to the
>>> current distribution that contains the new license, an explanation of
>>> the situation, and a statement that this supersedes the one in the
>>> individual files.  I suspect that strictly speaking this is legally
>>> dicey, but it would certainly make our intentions clear.
>> 
>> I think Debian has usually accepted such statements, even as the final
>> action.  Not if they say "we intend to contact all copyright holders",
>> but if the say "we have confirmed with all copyright holders"
>> (explicitly or implicitly).
>
> I've asked the AMS for the 00LICENSE file for the current distribution
> and will forward any news I'll receive.

TIA!

Regards, Frank

-- 
Dr. Frank Küster
Debian Developer (TeXLive)
VCD Aschaffenburg-Miltenberg, ADFC Miltenberg
B90/Grüne KV Miltenberg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Fri, 18 Sep 2009 08:39:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benedikt.AHRENS@unice.fr:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 18 Sep 2009 08:39:49 GMT) Full text and rfc822 format available.

Message #126 received at 477060@bugs.debian.org (full text, mbox):

From: Benedikt.AHRENS@unice.fr
To: 477060@bugs.debian.org
Subject: license proposal for current release
Date: Fri, 18 Sep 2009 10:06:33 +0200
Hello,

attached you'll find the license suggested by the AMSTech team for the 
current amslatex release.

Please feel free to comment and thus help to get this bug done. In 
particular please answer to David's question of how to get licensing 
done properly (I think the 00LLICENSE file in the root directory is 
appropriate, but NOT the idea of "associated files", whatever that would 
mean).

I'll forward all the comments collected to the AMS team.

Thanks a lot
ben


-------- Original Message --------
Subject: Re: unclear licence of AMSLatex (fwd)
Date: Thu, 17 Sep 2009 20:58:28 -0400
From: David M. Jones
To: Benedikt AHRENS
CC: tech-support[at]ams.org

Dear Benedikt,

Here's a copy of the draft license that I propose to append to the
current AMS-LaTeX distributions.  Do you have any questions or
comments before I release it?

    The AMS is in the process of restating and updating the license on all
    of its distributed files in order to bring the license into line with
    current standards of "free" software licenses.  Since it will take
    some time to update all individual files, we're distributing this file
    now to clarify the license on currently-distributed files.

    The following license replaces any conflicting statement found inside
    any files distributed by the American Mathematical Society as part of
    the AMS-LaTeX distribution, including the amscls and amsmath
    components, and related files.

        Unlimited copying and redistribution of this file are permitted as
        long as this file is not modified.  Modifications, and
        distribution of modified versions, are permitted, but only if the
        resulting file is renamed.

    This includes -- but is not necessarily limited to -- the
    following files:

        ams-c1.ins      v2.20 (2004/08/03)
        ams-m1.ins      v1.05 (2000/05/25)
        amsalpha.bst    v2.0  (2000/03/27)
        amsbsy.dtx      v1.2d (1999/11/29)
        amsbsy.sty      v1.2d (1999/11/29)
        amscd.dtx       v2.0  (1999/11/29)
        amscd.sty       v2.0  (1999/11/29)
        amsdtx.cls      v2.06 (2004/08/06)
        amsdtx.dtx      v2.06 (2004/08/06)
        amsgen.dtx      v2.0  (1999/11/30)
        amsgen.sty      v2.0  (1999/11/30)
        amsldoc.cls     v2.06 (2004/08/06)
        amsldoc.tex     v2.09 (2004/04/06)
        amsmath.dtx     v2.13 (2000/07/18)
        amsmath.sty     v2.13 (2000/07/18)
        amsmidx.dtx     v2.01 (2004/08/03)
        amsmidx.sty     v2.01 (2004/08/03)
        amsopn.dtx      v2.01 (1999/12/14)
        amsopn.sty      v2.01 (1999/12/14)
        amsplain.bst    v2.0  (2000/03/27)
        amstex.sty      v1.2f (1999/11/15)
        amstext.dtx     v2.01 (2000/06/29)
        amstext.sty     v2.01 (2000/06/29)
        amsthdoc.tex    v2.20 (2004/08/03)
        amsthm.sty      v2.20 (2004/08/06)
        amsxtra.dtx     v1.2c (1999/11/15)
        amsxtra.sty     v1.2c (1999/11/15)
        instr-l.tex     v2.20 (2004/08/06)
        subeqn.tex      v1.2c (1999/11/29)
        technote.tex    v2.0  (1999/11/15)
        testmath.tex    v2.0  (1999/11/15)
        thmtest.tex     v2.01 (2004/08/02)
        upref.dtx       v2.01 (2004/07/29)
        upref.sty       v2.01 (2004/07/29)

    Please address any questions to

        American Mathematical Society
        Technical Support
        Publications Technical Group
        201 Charles Street
        Providence, RI 02904
        USA
        tel: (401) 455-4080
             (800) 321-4267 (USA and Canada only)
        fax: (401) 331-3842
        email: tech-support@ams.org

Incidentally, a number of the associated files (especially various
documentation files and release notes) do not have any included
license statement.  Is that something that we need to address or is it
understood that they are are covered by the same license in associated
files?  I suspect that the safest thing for us to do in the future is
include a 00LICENSE.txt file with wording similar to the above in all
of our distributions.

Best wishes,
David.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Fri, 18 Sep 2009 15:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 18 Sep 2009 15:06:06 GMT) Full text and rfc822 format available.

Message #131 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Benedikt.AHRENS@unice.fr
Cc: 477060@bugs.debian.org
Subject: Re: Bug#477060: license proposal for current release
Date: Fri, 18 Sep 2009 16:55:25 +0200
Hi,

thanks for keeping us informed. 

Benedikt.AHRENS@unice.fr wrote:

> I'll forward all the comments collected to the AMS team.

Thanks for that.

> Here's a copy of the draft license that I propose to append to the
> current AMS-LaTeX distributions.  Do you have any questions or
> comments before I release it?
>
>     The AMS is in the process of restating and updating the license on all
>     of its distributed files in order to bring the license into line with
>     current standards of "free" software licenses.  Since it will take
>     some time to update all individual files, we're distributing this file
>     now to clarify the license on currently-distributed files.
>
>     The following license replaces any conflicting statement found inside
>     any files distributed by the American Mathematical Society as part of
>     the AMS-LaTeX distribution, including the amscls and amsmath
>     components, and related files.
>
>         Unlimited copying and redistribution of this file are permitted as
>         long as this file is not modified.  Modifications, and
>         distribution of modified versions, are permitted, but only if the
>         resulting file is renamed.
>
>     This includes -- but is not necessarily limited to -- the
>     following files:
[... long list of .dtx and .ins as well as unpacked files snipped]

That sounds good. One question remains: Are all files currently marked
as "Copyright by AMS"?  Some at least have; but if not all, then the AMS
should either claim in their 00LICENSE file to have the copyright or to
have the permission of the copyright holders.

> Incidentally, a number of the associated files (especially various
> documentation files and release notes) do not have any included
> license statement.  Is that something that we need to address or is it
> understood that they are are covered by the same license in associated
> files?  

If the documentation is generated from a dtx file, but has no license
statement in the readable text, I don't see a need. However, any other
documentation (e.g. READMEs) should have a copyright statement unless
the content is trivial.

I'm not sure whether release notes are copyrightable content at all; or
rather whether *these* are.  

> I suspect that the safest thing for us to do in the future is
> include a 00LICENSE.txt file with wording similar to the above in all
> of our distributions.

Yes, ideally covering docs, too.

Regards, Frank


-- 
Dr. Frank Küster
Debian Developer (TeXLive)
VCD Aschaffenburg-Miltenberg, ADFC Miltenberg
B90/Grüne KV Miltenberg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Tue, 22 Sep 2009 12:45:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benedikt.AHRENS@unice.fr:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Tue, 22 Sep 2009 12:45:17 GMT) Full text and rfc822 format available.

Message #136 received at 477060@bugs.debian.org (full text, mbox):

From: Benedikt.AHRENS@unice.fr
To: Frank Küster <frank@debian.org>
Cc: 477060@bugs.debian.org
Subject: Re: Bug#477060: license proposal for current release
Date: Tue, 22 Sep 2009 14:36:32 +0200
We are discussing a bit on the gnewsense-users mailing list, see [1] for 
the history so far. If you can afford some time, please come and join us 
there.
ben
[1] http://lists.gnu.org/archive/html/gnewsense-users/2009-09/msg00098.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Wed, 23 Sep 2009 19:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 23 Sep 2009 19:27:06 GMT) Full text and rfc822 format available.

Message #141 received at 477060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Benedikt.AHRENS@unice.fr
Cc: 477060@bugs.debian.org
Subject: Re: Bug#477060: license proposal for current release
Date: Wed, 23 Sep 2009 21:24:53 +0200
Benedikt.AHRENS@unice.fr wrote:

> We are discussing a bit on the gnewsense-users mailing list, see [1]
> for the history so far. If you can afford some time, please come and
> join us there.
> ben
> [1] http://lists.gnu.org/archive/html/gnewsense-users/2009-09/msg00098.html

Sorry, I don't have time to subscribe and really join in. Just two
points:

- With respect to the question of softlinks: All kpathsea-based systems
  (that's at least TeXLive and its Mac relatives, I don't know about
  MikTeX) support an alias file.  This allows you to load
  amsfoo-renamed.cls if amsfoo.cls is requested.  LaTeX, however, will
  still complain that the wrong package has been loaded *if* the package
  identification in \ProvidesPackage has been changed.

  Therefore, IMHO, the wording of the LPPL does make sense to preserve
  file integrity, but the "Knuth wording" used by AMS does not; the mere
  requirement to change the filename is moot.

- In all systems following the TDS, path does matter, and moving a file
  from $TEXMF/tex/latex/ams/ to $TEXMF/myengine/latex/ams/ will make it
  inaccessible for LaTeX in a usual setup.

All in all, since Debian has a special exception to allow software that
requires renaming of modified files, I don't care much whether the
licensor does it "properly" (like using the LPPL) or naively.

Regards, Frank

-- 
Dr. Frank Küster
Debian Developer (TeXLive)
VCD Aschaffenburg-Miltenberg, ADFC Miltenberg
B90/Grüne KV Miltenberg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Fri, 25 Sep 2009 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 25 Sep 2009 08:06:03 GMT) Full text and rfc822 format available.

Message #146 received at 477060@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: gnewsense-users@nongnu.org
Cc: 477060@bugs.debian.org
Subject: Re: [gNewSense-users] unclear licence of AMSLatex (fwd)
Date: Fri, 25 Sep 2009 14:59:24 +0930
[Message part 1 (text/plain, inline)]
On Fri, 25 Sep 2009 00:20:33 +0200
Sam Geeraerts <samgee@elmundolibre.be> wrote:

> ben schreef:
> > Frank Kuester, the maintainer of the Debian texlive-base package,
> > clarified some things in a comment to the Debian bug report
> > (#477060):
> > 
> > Sorry, I don't have time to subscribe and really join in. Just two
> > points:

No problem.
I've CC'd the bug report as I hope you can confirm some items.
Apologies in advance if you'd rather we don't in future.

> > - In all systems following the TDS, path does matter, and moving a
> > file from $TEXMF/tex/latex/ams/ to $TEXMF/myengine/latex/ams/ will
> > make it inaccessible for LaTeX in a usual setup.
> 
> So if we'd have to rename directories there would be a problem. I
> assume that's not AMS' intention.
> 
> Renaming files wouldn't be a problem if AMS allows aliases and
> keeping the package ID. AFAICT, they do in the current wording, but
> the question is: is that also what they mean?

Frank, is this your understanding too?

> > All in all, since Debian has a special exception to allow software
> > that requires renaming of modified files, I don't care much whether
> > the licensor does it "properly" (like using the LPPL) or naively.
> 
> I'm not sure I follow this. Does "a special exception" mean: "we
> > kind
> of think it's not free, but we allow it anyway"? Anyway, probably not 
> relevant to gNewSense.

I assume this is a DFSG/policy exception (similar to the requirement of
all changes being distributed as diffs).

TBH, I'd prefer the 'changes as diffs' approach over 'rename on
change', but thats just me being a pain.
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Sun, 27 Sep 2009 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benedikt.AHRENS@unice.fr:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 27 Sep 2009 16:42:03 GMT) Full text and rfc822 format available.

Message #151 received at 477060@bugs.debian.org (full text, mbox):

From: Benedikt.AHRENS@unice.fr
To: "David M. Jones" <dmj@ams.org>
Cc: tech-support@ams.org, licensing@fsf.org, 477060@bugs.debian.org, gnewsense-dev@nongnu.org
Subject: Re: unclear licence of AMSLatex (fwd)
Date: Sun, 27 Sep 2009 18:27:46 +0200
Dear David, dear AMSTech team,

(CC: - Free Software Foundation licensing team
     - gnewsense-dev mailing list
     - Debian bug report)

this is a collection of concerns and comments - numerated with small
letters - concerning your license proposal for the amslatex package. The
pieces were taken from the gnewsense-users mailing list [1] and the
Debian bug report [2]. Sorry for all the comments I forgot to paste.

The complete license proposal can be found at the bottom of this email [3].

We are CCing the FSF licensing team because your license proposal raised
 legal and technical questions which seem to be off high impact. We
would hence ask the FSF to comment and clarify wherever possible.


Before each comment I'll put the part of the license it is concerned with.

(a)
>     This includes -- but is not necessarily limited to -- the
>     following files:
[... long list of .dtx and .ins as well as unpacked files snipped]

One question remains: Are all files currently marked
as "Copyright by AMS"?  Some at least have; but if not all, then the AMS
should either claim in their 00LICENSE file to have the copyright or to
have the permission of the copyright holders.


(b)
> Incidentally, a number of the associated files (especially various
> documentation files and release notes) do not have any included
> license statement.  Is that something that we need to address or is it
> understood that they are are covered by the same license in associated
> files?

If the documentation is generated from a dtx file, but has no license
statement in the readable text, I don't see a need. However, any other
documentation (e.g. READMEs) should have a copyright statement unless
the content is trivial.

(c)
> I suspect that the safest thing for us to do in the future is
> include a 00LICENSE.txt file with wording similar to the above in all
> of our distributions.

Yes, ideally covering docs, too.

For clarity it would be nice if each file could contain a simple (1 or 2
line) header stating the licence, or 'see licence at $PATH/to/LICENCE'.

(d) The biggest issue is about the renaming condition for modified files:

>         Unlimited copying and redistribution of this file are permitted as
>         long as this file is not modified.  Modifications, and
>         distribution of modified versions, are permitted, but only if the
>         resulting file is renamed.

For the moment, I have two questions/comments:
- How does this licence apply to downstreams (eg, the 2nd level of
distribution from AMS). Do they need to create a new file name (thereby
having 3 file names for code thats potentially 95% the same)
- As a result of the file renaming, anything which wants to source the new
version will need to be updated to source the new file name.

If they're going to go through with this then some form of documentation
about how to do this renaming properly would be nice. Or better yet: a
script.

Source code of LaTeX files would have to be modified in order to use a
modified version of a file of the amslatex package.

Different license proposal: "Modifications, and distribution of modified
versions, are permitted. Distributed modified files must have a file
name that is different ..."

If soft linking is not an option and we ignore inertia for a moment,
then it seems likely that there will be a parallel This-Is-Not-AMS-LaTeX
version of the package that will be used by all distros, because (or
just in case) they need to be able to make changes to the original version.
But we probably can't ignore inertia, because people can't and won't
change all their sources overnight. So in theory everybody (distros)
would be free to fix a bug and distribute the changed version, but in
practice that is not an option because of compatibility issues.

With respect to the question of softlinks: All kpathsea-based systems
  (that's at least TeXLive and its Mac relatives, I don't know about
  MikTeX) support an alias file.  This allows you to load
  amsfoo-renamed.cls if amsfoo.cls is requested.  LaTeX, however, will
  still complain that the wrong package has been loaded *if* the package
  identification in \ProvidesPackage has been changed.

  Therefore, IMHO, the wording of the LPPL does make sense to preserve
  file integrity, but the "Knuth wording" used by AMS does not; the mere
  requirement to change the filename is moot.

TBH, I'd prefer the 'changes as diffs' approach over 'rename on
change'

With AMS proposed licence, is it possible to write a *replacement* file
with the same name, and include it in the bundle. it looks like it is.
This is the same 'problem' PHP have with thier licence requirements (a
complete PHP rewrite can be called something with php in the name, but
a derivative can't).


(e) Renaming directories?
Does the renaming condition apply to directories as well?

In all systems following the TDS, path does matter, and moving a file
  from $TEXMF/tex/latex/ams/ to $TEXMF/myengine/latex/ams/ will make it
  inaccessible for LaTeX in a usual setup.




So far for the comments.
Thanks a lot for caring about our concerns.
Greetings
Benedikt Ahrens


[1] http://lists.gnu.org/archive/html/gnewsense-users/2009-09/msg00098.html

[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477060

[3]
The complete license proposal:

Here's a copy of the draft license that I propose to append to the
current AMS-LaTeX distributions.  Do you have any questions or
comments before I release it?

    The AMS is in the process of restating and updating the license on all
    of its distributed files in order to bring the license into line with
    current standards of "free" software licenses.  Since it will take
    some time to update all individual files, we're distributing this file
    now to clarify the license on currently-distributed files.

    The following license replaces any conflicting statement found inside
    any files distributed by the American Mathematical Society as part of
    the AMS-LaTeX distribution, including the amscls and amsmath
    components, and related files.

        Unlimited copying and redistribution of this file are permitted as
        long as this file is not modified.  Modifications, and
        distribution of modified versions, are permitted, but only if the
        resulting file is renamed.

    This includes -- but is not necessarily limited to -- the
    following files:

        ams-c1.ins      v2.20 (2004/08/03)
        ams-m1.ins      v1.05 (2000/05/25)
        amsalpha.bst    v2.0  (2000/03/27)
        amsbsy.dtx      v1.2d (1999/11/29)
        amsbsy.sty      v1.2d (1999/11/29)
        amscd.dtx       v2.0  (1999/11/29)
        amscd.sty       v2.0  (1999/11/29)
        amsdtx.cls      v2.06 (2004/08/06)
        amsdtx.dtx      v2.06 (2004/08/06)
        amsgen.dtx      v2.0  (1999/11/30)
        amsgen.sty      v2.0  (1999/11/30)
        amsldoc.cls     v2.06 (2004/08/06)
        amsldoc.tex     v2.09 (2004/04/06)
        amsmath.dtx     v2.13 (2000/07/18)
        amsmath.sty     v2.13 (2000/07/18)
        amsmidx.dtx     v2.01 (2004/08/03)
        amsmidx.sty     v2.01 (2004/08/03)
        amsopn.dtx      v2.01 (1999/12/14)
        amsopn.sty      v2.01 (1999/12/14)
        amsplain.bst    v2.0  (2000/03/27)
        amstex.sty      v1.2f (1999/11/15)
        amstext.dtx     v2.01 (2000/06/29)
        amstext.sty     v2.01 (2000/06/29)
        amsthdoc.tex    v2.20 (2004/08/03)
        amsthm.sty      v2.20 (2004/08/06)
        amsxtra.dtx     v1.2c (1999/11/15)
        amsxtra.sty     v1.2c (1999/11/15)
        instr-l.tex     v2.20 (2004/08/06)
        subeqn.tex      v1.2c (1999/11/29)
        technote.tex    v2.0  (1999/11/15)
        testmath.tex    v2.0  (1999/11/15)
        thmtest.tex     v2.01 (2004/08/02)
        upref.dtx       v2.01 (2004/07/29)
        upref.sty       v2.01 (2004/07/29)

    Please address any questions to

        American Mathematical Society
        Technical Support
        Publications Technical Group
        201 Charles Street
        Providence, RI 02904
        USA
        tel: (401) 455-4080
             (800) 321-4267 (USA and Canada only)
        fax: (401) 331-3842
        email: tech-support@ams.org

Incidentally, a number of the associated files (especially various
documentation files and release notes) do not have any included
license statement.  Is that something that we need to address or is it
understood that they are are covered by the same license in associated
files?  I suspect that the safest thing for us to do in the future is
include a 00LICENSE.txt file with wording similar to the above in all
of our distributions.

Best wishes,
David.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Thu, 29 Oct 2009 20:58:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benedikt Ahrens <benedikt.ahrens@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Thu, 29 Oct 2009 20:58:13 GMT) Full text and rfc822 format available.

Message #156 received at 477060@bugs.debian.org (full text, mbox):

From: Benedikt Ahrens <benedikt.ahrens@gmx.net>
To: gNewSense - Users <gnewsense-users@nongnu.org>, 477060@bugs.debian.org
Subject: Re: unclear licence of AMSLatex (fwd)
Date: Thu, 29 Oct 2009 21:38:03 +0100
hello,

the AMS has decided to publish amslatex under LPPL. see david jones'
message on the bottom.

this concerns future releases only. is this ok for gns? can we keep the
current package even if it isn't covered legally by this license?

greetings
ben

David M. Jones wrote:
> Benedikt,
> 
> I'm very happy to report that our Publisher has authorized us to adopt
> the LPPL for future releases of AMS-LaTeX.
> 
> Could you please forward our sincere thanks to the members of the
> gnewsense list for providing us with the type of specific critiques
> and arguments that we needed to motivate this change in policy?  And
> most especially, thank you once again for facilitating this.
> 
> I'll update the draft statement that I sent on September 17 to refer
> to the LPPL and add it to the current AMS-LaTeX distribution early
> next week.
> 
> Best wishes,
> David.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Fri, 30 Oct 2009 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 30 Oct 2009 20:00:03 GMT) Full text and rfc822 format available.

Message #161 received at 477060@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Benedikt Ahrens <benedikt.ahrens@gmx.net>
Cc: gNewSense - Users <gnewsense-users@nongnu.org>, 477060@bugs.debian.org
Subject: Re: [gNewSense-users] Re: unclear licence of AMSLatex (fwd)
Date: Fri, 30 Oct 2009 20:26:34 +0100
Benedikt Ahrens schreef:
> hello,
> 
> the AMS has decided to publish amslatex under LPPL. see david jones'
> message on the bottom.
> 
> this concerns future releases only. is this ok for gns? can we keep the
> current package even if it isn't covered legally by this license?

Thanks for following up on this.

Do they say which version of LPPL they're going to use? Both 1.2 and 
1.3a are free software licenses, but according to the FSF license list 
[1] 1.2 can have additional restrictions that make some files non-free.

Would they agree to retroactively add the same license to (recent) 
earlier versions (including the one in gNS 2.x), so that those versions 
become dual-licensed? Even just a short public statement that's not 
(necessarily) legally binding would make me much more comfortable about 
keeping the package in gNS.

As for changing names of modified files: I think Debian has some 
infrastructure to handle all that and all TeX packages have been treated 
as if they were under LPPL, so that won't be a problem. The only change 
we should have to make is to refer to the public statement.

[1] http://www.gnu.org/licenses/license-list.html#SoftwareLicenses




Added tag(s) squeeze-ignore. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. (Wed, 24 Mar 2010 10:12:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Wed, 12 May 2010 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 12 May 2010 17:45:03 GMT) Full text and rfc822 format available.

Message #168 received at 477060@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: 477060@bugs.debian.org
Cc: gNewSense developers <gnewsense-dev@nongnu.org>
Subject: [Fwd: [Gnewsense-dev] Restatement of AMS-LaTeX license]
Date: Wed, 12 May 2010 19:40:59 +0200
AMS have updated the license. Is it possible to still get this into Squeeze?

-------- Originele bericht --------
Onderwerp: [Gnewsense-dev] Restatement of AMS-LaTeX license
Datum: Tue, 11 May 2010 19:34:08 -0400
Van: David M. Jones <dmj@ams.org>

Dear Benedikt, et al,

Enclosed is a copy of a new license file that has been added to the
following distributions on the AMS ftp site:

    amscls2.zip
    amsfonts.zip
    amsmath2.zip
    amsrefs-ctan.zip
    amsrefs-tds.zip

These updated zip files should show up on CTAN shortly.

Thank you for your patience with my delays in distributing this.

Cheers,
David.

===========================================================================
The AMS is in the process of restating and updating the licenses on
all components of the AMS-LaTeX and AMSFonts distributions in order to
bring their licenses into line with current standards of "free"
software licenses.  Since it will take some time to update all
individual files, we're distributing this notice now to retroactively
restate the license on currently-distributed files.

In 2009 the font components -- e.g., AFM (.afm), MetaFont (.mf), TeX
font metric (.tfm), and Type 1 (.pfb) files -- of version 3 of the
AMSfonts package were released under the SIL Open Font License.  Any
file released under the SIL OFL continues to be covered by that
license.

As of May 1, 2010, the following license supersedes any license found
inside any LaTeX macro files -- and associated documentation and
source files -- currently being distributed by the AMS:

    This work may be distributed and/or modified under the
    conditions of the LaTeX Project Public License, either version 1.3c
    of this license or (at your option) any later version.
    The latest version of this license is in
      http://www.latex-project.org/lppl.txt
    and version 1.3c or later is part of all distributions of LaTeX
    version 2005/12/01 or later.

    This work has the LPPL maintenance status `maintained'.

    The Current Maintainer of this work is the American Mathematical
    Society.

Files covered by this notice include -- but are not necessarily
limited to -- the following, along with any associated documentation
files (README files, templates, examples, etc.).

amsclass, version 2:
    ams-c1.ins      v2.20   (2004/08/03)
    amsalpha.bst    v2.0    (2000/03/27)
    amsart.cls      v2.20.1 (2009/07/02)
    amsbook.sty     v2.20.1 (2009/07/02)
    amsclass.dtx    v2.20.1 (2009/07/02)
    amsdtx.cls      v2.06   (2004/08/06)
    amsdtx.dtx      v2.06   (2004/08/06)
    amsldoc.cls     v2.06   (2004/08/06)
    amsldoc.tex     v2.09   (2004/04/06)
    amsmidx.dtx     v2.01   (2004/08/03)
    amsmidx.sty     v2.01   (2004/08/03)
    amsmidx.txt
    amsplain.bst    v2.0    (2000/03/27)
    amsproc.sty     v2.20.1 (2009/07/02)
    amsthdoc.tex    v2.20   (2004/08/03)
    amsthm.sty      v2.20   (2004/08/06)
    instr-l.tex     v2.20   (2004/08/06)
    thmtest.tex     v2.01   (2004/08/02)
    upref.dtx       v2.01   (2004/07/29)
    upref.sty       v2.01   (2004/07/29)

amsfonts, version 3:
    amsfndoc.cyr    v2.2c (1997/12/15)
    amsfndoc.def    v2.2d (2002/01/18)
    amsfndoc.fnt    v2.2c (2001/11/16)
    amsfndoc.ins    v2.2f (2002/01/30)
    amsfndoc.tex    v2.2d (2002/01/19)
    amsfonts.dtx    v3.00 (2009/06/22)
    amsfonts.ins    v3.00 (2009/02/22)
    amsfonts.sty    v3.00 (2009/06/22)
    amssym.def      v2.2b (2001/07/03)
    amssym.tex      v2.2b (1997/02/26)
    amssymb.dtx     v3.00 (2009/06/22)
    amssymb.sty     v3.00 (2009/06/22)
    cmmib57.dtx     v3.00 (2009/06/22)
    cmmib57.sty     v3.00 (2009/06/22)
    cyracc.def      v2.2b (2001/10/01)
    eucal.sty       v3.00 (2009/06/22)
    eufrak.dtx      v3.00 (2009/06/22)
    eufrak.sty      v3.00 (2009/06/22)
    euscript.dtx    v3.00 (2009/06/22)
    euscript.sty    v3.00 (2009/06/22)
    ueuex.fd        v3.00 (2009/06/22)
    ueuf.fd         v3.00 (2009/06/22)
    ueur.fd         v3.00 (2009/06/22)
    ueus.fd         v3.00 (2009/06/22)
    umsa.fd         v3.00 (2009/06/22)
    umsb.fd         v3.00 (2009/06/22)

amsmath, version 2:
    ams-m1.ins      v1.05 (2000/05/25)
    amsbsy.dtx      v1.2d (1999/11/29)
    amsbsy.sty      v1.2d (1999/11/29)
    amscd.dtx       v2.0  (1999/11/29)
    amscd.sty       v2.0  (1999/11/29)
    amsgen.dtx      v2.0  (1999/11/30)
    amsgen.sty      v2.0  (1999/11/30)
    amsmath.dtx     v2.13 (2000/07/18)
    amsmath.sty     v2.13 (2000/07/18)
    amsopn.dtx      v2.01 (1999/12/14)
    amsopn.sty      v2.01 (1999/12/14)
    amstex.sty      v1.2f (1999/11/15)
    amstext.dtx     v2.01 (2000/06/29)
    amstext.sty     v2.01 (2000/06/29)
    amsxtra.dtx     v1.2c (1999/11/15)
    amsxtra.sty     v1.2c (1999/11/15)
    subeqn.tex      v1.2c (1999/11/29)
    technote.tex    v2.0  (1999/11/15)
    testmath.tex    v2.0  (1999/11/15)

amsrefs, version 2:
    amsbst.sty      v2.03  (2007/10/22)
    amsj.bib        v2.01  (2007/10/01)
    amsra.bst       v2.01  (2007/10/01)
    amsrefs.dtx     v2.03  (2007/10/22)
    amsrefs.ins
    amsrefs.sty     v2.03  (2007/10/22)
    amsrn.bst       v2.01  (2007/10/01)
    amsrs.bst       v2.01  (2007/10/01)
    amsru.bst       v2.01  (2007/10/01)
    amsry.bst       v2.01  (2007/10/01)
    amsxport.dtx    v2.01  (2007/10/01)
    amsxport.ins
    ifoption.dtx    v1.02  (2002/03/04)
    ifoption.ins
    ifoption.sty    v1.02  (2002/03/04)
    mathscinet.dtx  v2.01  (2004/06/30)
    mathscinet.ins
    mathscinet.sty  v2.01  (2004/06/30)
    pcatcode.dtx    v1.04b (2007/08/17)
    pcatcode.ins
    pcatcode.sty    v1.04b (2007/08/17)
    rkeyval.dtx     v2.00  (2004/06/28)
    rkeyval.ins
    rkeyval.sty     v2.00  (2004/06/28)
    textcmds.dtx    v1.06  (2007/10/19)
    textcmds.ins
    textcmds.sty    v1.06  (2007/10/19)

AMS author packages:
    ams-rust.sty    v1.02 (2003/11/26)
    amsbkrev.cls    v2.23 (2009/02/11)
    amsip-m-l.cls   v2.01 (2005/03/16)
    amsip-p-l.cls   v2.01 (2005/03/21)
    amstext-l.cls   v0.92 (2010/03/05)
    bull-l.cls      v2.05 (2009/05/07)
    cbmath-l.cls    v1.2b (1996/10/25)
    cbms-l.cls      v1.2b (1995/10/30)
    ceb-l.cls       v2.02 (2007/08/28)
    cmim-l.cls      v1.2b (2001/06/14)
    cmip-l.cls      v1.0b (2001/04/19)
    cmsams-l.cls    v1.2b (1996/10/25)
    coll-l.cls      v1.2b (1996/10/30)
    conm-m-l.cls    v1.2b (1996/10/30)
    conm-p-l.cls    v1.2b (1996/10/25)
    crmm-l.cls      v2.01 (2005/05/11)
    crmp-l.cls      v2.01 (2005/05/11)
    dimacs-l.cls    v1.2b (1996/10/24)
    ecgd-l.cls      v2.02 (2007/06/18)
    editor.cls      v0.97 (2008/12/04)
    ert-l.cls       v2.02 (2007/06/18)
    fic-l.cls       v1.2i (2010/01/26)
    fim-l.cls       v1.2i (2010/01/26)
    gen-j-l.cls     v1.2b (1996/10/25)
    gen-m-l.cls     v1.2b (1996/10/30)
    gen-p-l.cls     v1.2b (1996/01/25)
    gsm-l.cls       v2.05 (2008/09/26)
    hmath-l.cls     v1.2b (1996/10/30)
    jag-l.cls       v1.2u (2005/06/24)
    jams-l.cls      v2.01 (2007/06/18)
    mawrld-l.cls    v1.01 (2006/05/23)
    mcom-l.cls      v2.01 (2007/06/18)
    memo-l.cls      v2.01 (2007/05/09)
    mmono-l.cls     v1.2b (1996/10/30)
    mmono-s.cls     v1.1b (1998/04/13)
    mosc-l.cls      v2.07 (2006/03/06)
    proc-l.cls      v2.01 (2007/06/18)
    psapm-l.cls     v1.2c (1996/11/18)
    pspum-l.cls     v1.2c (1996/11/18)
    qam-l.cls       v2.07 (2005/09/09)
    smf-l.cls       v1.2b (1998/06/29)
    spmj-l.cls      v2.12 (2009/01/22)
    stml-l.cls      v1.17 (2008/06/25)
    surv-l.cls      v1.2b (1996/10/30)
    tpms-l.cls      v2.07 (2009/01/22)
    tran-l.cls      v2.01 (2007/06/18)
    trans2-l.cls    v1.2b (1997/11/17)
    ulect-l.cls     v1.2b (1996/10/30)

Please address any questions to

    American Mathematical Society
    Technical Support
    Publications Technical Group
    201 Charles Street
    Providence, RI 02904
    USA
    tel: (401) 455-4080
         (800) 321-4267 (USA and Canada only)
    fax: (401) 331-3842
    email: tech-support@ams.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#477060; Package texlive-base. (Tue, 25 May 2010 00:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Tue, 25 May 2010 00:45:06 GMT) Full text and rfc822 format available.

Message #173 received at 477060@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Sam Geeraerts <samgee@elmundolibre.be>, 477060@bugs.debian.org
Cc: gNewSense developers <gnewsense-dev@nongnu.org>
Subject: Re: Bug#477060: [Fwd: [Gnewsense-dev] Restatement of AMS-LaTeX license]
Date: Tue, 25 May 2010 09:43:31 +0900
On Mi, 12 Mai 2010, Sam Geeraerts wrote:
> AMS have updated the license. Is it possible to still get this into Squeeze?

I have added an updated license statement and will ship new packages
hopefully soon.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
GLEMENUILT (n.)
The kind of guilt which you'd completely forgotten about which comes
roaring back on discovering an old letter in a cupboard.
			--- Douglas Adams, The Meaning of Liff




Reply sent to Norbert Preining <preining@debian.org>:
You have taken responsibility. (Tue, 25 May 2010 13:06:07 GMT) Full text and rfc822 format available.

Notification sent to Frank Küster <frank@debian.org>:
Bug acknowledged by developer. (Tue, 25 May 2010 13:06:07 GMT) Full text and rfc822 format available.

Message #178 received at 477060-close@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@debian.org>
To: 477060-close@bugs.debian.org
Subject: Bug#477060: fixed in texlive-base 2009-10
Date: Tue, 25 May 2010 13:03:51 +0000
Source: texlive-base
Source-Version: 2009-10

We believe that the bug you reported is fixed in the latest version of
texlive-base, which is due to be installed in the Debian FTP archive:

texlive-base_2009-10.diff.gz
  to main/t/texlive-base/texlive-base_2009-10.diff.gz
texlive-base_2009-10.dsc
  to main/t/texlive-base/texlive-base_2009-10.dsc
texlive-base_2009-10_all.deb
  to main/t/texlive-base/texlive-base_2009-10_all.deb
texlive-common_2009-10_all.deb
  to main/t/texlive-base/texlive-common_2009-10_all.deb
texlive-fonts-recommended-doc_2009-10_all.deb
  to main/t/texlive-base/texlive-fonts-recommended-doc_2009-10_all.deb
texlive-fonts-recommended_2009-10_all.deb
  to main/t/texlive-base/texlive-fonts-recommended_2009-10_all.deb
texlive-full_2009-10_all.deb
  to main/t/texlive-base/texlive-full_2009-10_all.deb
texlive-generic-recommended_2009-10_all.deb
  to main/t/texlive-base/texlive-generic-recommended_2009-10_all.deb
texlive-latex-base-doc_2009-10_all.deb
  to main/t/texlive-base/texlive-latex-base-doc_2009-10_all.deb
texlive-latex-base_2009-10_all.deb
  to main/t/texlive-base/texlive-latex-base_2009-10_all.deb
texlive-latex-recommended-doc_2009-10_all.deb
  to main/t/texlive-base/texlive-latex-recommended-doc_2009-10_all.deb
texlive-latex-recommended_2009-10_all.deb
  to main/t/texlive-base/texlive-latex-recommended_2009-10_all.deb
texlive-luatex_2009-10_all.deb
  to main/t/texlive-base/texlive-luatex_2009-10_all.deb
texlive-metapost-doc_2009-10_all.deb
  to main/t/texlive-base/texlive-metapost-doc_2009-10_all.deb
texlive-metapost_2009-10_all.deb
  to main/t/texlive-base/texlive-metapost_2009-10_all.deb
texlive-omega_2009-10_all.deb
  to main/t/texlive-base/texlive-omega_2009-10_all.deb
texlive-pictures-doc_2009-10_all.deb
  to main/t/texlive-base/texlive-pictures-doc_2009-10_all.deb
texlive-pictures_2009-10_all.deb
  to main/t/texlive-base/texlive-pictures_2009-10_all.deb
texlive-xetex_2009-10_all.deb
  to main/t/texlive-base/texlive-xetex_2009-10_all.deb
texlive_2009-10_all.deb
  to main/t/texlive-base/texlive_2009-10_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 477060@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Preining <preining@debian.org> (supplier of updated texlive-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 25 May 2010 12:11:15 +0900
Source: texlive-base
Binary: texlive-base texlive-generic-recommended texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-omega texlive-xetex texlive texlive-full texlive-common texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
Architecture: source all
Version: 2009-10
Distribution: unstable
Urgency: low
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Changed-By: Norbert Preining <preining@debian.org>
Description: 
 texlive    - TeX Live: A decent selection of the TeX Live packages
 texlive-base - TeX Live: Essential programs and files
 texlive-common - TeX Live: Base component
 texlive-fonts-recommended - TeX Live: Recommended fonts
 texlive-fonts-recommended-doc - TeX Live: Documentation files for texlive-fonts-recommended
 texlive-full - TeX Live: metapackage pulling in all components of TeX Live
 texlive-generic-recommended - TeX Live: Recommended generic packages
 texlive-latex-base - TeX Live: Basic LaTeX packages
 texlive-latex-base-doc - TeX Live: Documentation files for texlive-latex-base
 texlive-latex-recommended - TeX Live: LaTeX recommended packages
 texlive-latex-recommended-doc - TeX Live: Documentation files for texlive-latex-recommended
 texlive-luatex - TeX Live: LuaTeX packages
 texlive-metapost - TeX Live: MetaPost (and Metafont) drawing packages
 texlive-metapost-doc - TeX Live: Documentation files for texlive-metapost
 texlive-omega - TeX Live: Omega
 texlive-pictures - TeX Live: Graphics packages and programs
 texlive-pictures-doc - TeX Live: Documentation files for texlive-pictures
 texlive-xetex - TeX Live: XeTeX packages
Closes: 477060 581139 582291
Changes: 
 texlive-base (2009-10) unstable; urgency=low
 .
   [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
   * Added fix-bashism patch to fix bashism in matlab2pgfplots.sh
     (Closes: #581139)
 .
   [ Norbert Preining ]
   * Make sure that the texdoc.cnf link is actually created (Closes: #582291)
   * add license statements for all the AMS macros (Closes: #477060)
Checksums-Sha1: 
 1843bed9997ff31ef17a9c44431a1fafbbe128c8 1576 texlive-base_2009-10.dsc
 0c659ac869f4b0eb289ddbc7df7754787f055271 692607 texlive-base_2009-10.diff.gz
 e874b26d449abf35ff97c9a28196024d337316d8 14733954 texlive-base_2009-10_all.deb
 5db7553aa05a760321bfb459cfaff3bd3bf40723 1725448 texlive-generic-recommended_2009-10_all.deb
 d45348e2b6d9769eea10e55f7fecd6304b845589 1420774 texlive-latex-base_2009-10_all.deb
 0d26de7d587e7a4e24252a298703e041750e662b 6764698 texlive-latex-recommended_2009-10_all.deb
 a254debf273a69b8521852e8a2b9b645bb1327f7 7250918 texlive-fonts-recommended_2009-10_all.deb
 8b85d638529de4d3f70b7386e8c6da485482e2dd 867198 texlive-pictures_2009-10_all.deb
 1e1afa7777cf65b1e4aed51cfcf6106ae18a1011 986708 texlive-luatex_2009-10_all.deb
 2a95d6d8f5aecb559fd5d772b865b99da70d8955 434752 texlive-metapost_2009-10_all.deb
 82da992ccf11861f487ab7f5e09d93c2de09b04f 2264056 texlive-omega_2009-10_all.deb
 63f542a3cf213e918fce9ff44bdd34e7cbe7e8d6 5734764 texlive-xetex_2009-10_all.deb
 54045e1b96ba6b33b4ab14af9634e07a99a0e190 28006 texlive_2009-10_all.deb
 c9d8729b237f8d5f00bd11f3e70267b9f7a1f3b0 28362 texlive-full_2009-10_all.deb
 2f6eb3bc2de83e851b6039dbd33d80ae8398bdd1 99894 texlive-common_2009-10_all.deb
 9b87889d10aa9f9a2890cca5ef90e31af9e57ac1 2412336 texlive-fonts-recommended-doc_2009-10_all.deb
 d4fe7a757ebdf1a8c2384a5dbd047f7637cc99ad 40768468 texlive-latex-base-doc_2009-10_all.deb
 0348c32a5f4dd7ba1b85fa1481478ad6a0e628b2 15449884 texlive-latex-recommended-doc_2009-10_all.deb
 276a5bfd3ce801679be036f43f5cc1bb8fe6c250 9311554 texlive-metapost-doc_2009-10_all.deb
 2e435f879a59d5b79192c26af1e406a2d0e19fb3 11905244 texlive-pictures-doc_2009-10_all.deb
Checksums-Sha256: 
 d41d931618f8143af8554dcffcd1db8f115643bc9c6b58a3187b71b42580d6af 1576 texlive-base_2009-10.dsc
 85969489c83e839b9907e5522bad5368657218fecffdef84a03d09391c282203 692607 texlive-base_2009-10.diff.gz
 e6b7b6583d8d68671168bc60fc623ab677916c30be4d16d24d384b19e675f806 14733954 texlive-base_2009-10_all.deb
 0730ee1d0b1a30b9909772f944ed01b71b59064247e3f0e550753a63919906b2 1725448 texlive-generic-recommended_2009-10_all.deb
 299c31c393b59ad844210e6d1d78f31e0bb1c6a05af0bafd3da2779a03213fa4 1420774 texlive-latex-base_2009-10_all.deb
 ee263ac1ac12addbe5c18825c98719af816a1ea45a9b32d500fbf1de7942d8e5 6764698 texlive-latex-recommended_2009-10_all.deb
 4c4968ba8305e1e9397a5b2db273f3e23a13dd7baf48afc72581dd438ac1be39 7250918 texlive-fonts-recommended_2009-10_all.deb
 31bb28b5b682be835a40499caf0140b8de13f32dd2fc5c46f9632205d3d36b3e 867198 texlive-pictures_2009-10_all.deb
 cef6fce72c0ae12bc93fa3725e6c553de55b45d1867a0adcac3e11418a30f1ad 986708 texlive-luatex_2009-10_all.deb
 92faac7b131ca191ffce6286d50f5bd8d2421ad617fabccaa93f84954c2b9c10 434752 texlive-metapost_2009-10_all.deb
 ce910b8c94586dcc96ba60c8051a00087384775326c995210b97328f79a690c0 2264056 texlive-omega_2009-10_all.deb
 b3aa44a3c26fe62afc21ec517e93c0adc32ffcfbbaa513788a3d01344db6bafa 5734764 texlive-xetex_2009-10_all.deb
 b37eb31334394d5bea4778e0fcb3e355b259e1add07710febbe39d1338da0884 28006 texlive_2009-10_all.deb
 ed2b6984635eed2f08cd5646194648d02cc8b0245e62a3bb4300525b60c9d724 28362 texlive-full_2009-10_all.deb
 0d46a76a16a9b3f6e2103909f119e8afda84202dd983641741a947a8e985b54c 99894 texlive-common_2009-10_all.deb
 9f586a16f10d4e1a6e2f43f46806310e442e6ae3c612ffcdb5e8f4cc65427894 2412336 texlive-fonts-recommended-doc_2009-10_all.deb
 72f213f28f0b184090b8c977101d87025cfc9b813f3585468b6932b6bbaaa579 40768468 texlive-latex-base-doc_2009-10_all.deb
 4a9e6223b0c954647b66884302d08072861bc5bcba87dc819cceaf443b2209a1 15449884 texlive-latex-recommended-doc_2009-10_all.deb
 669697a18de4e1952f774f78b6a390e25085f463626630d9aaec744458828411 9311554 texlive-metapost-doc_2009-10_all.deb
 1b22fbc9e870b37ba8de0b191d067fc7633b387d038f08558e84f8d827aa6a4e 11905244 texlive-pictures-doc_2009-10_all.deb
Files: 
 ee9abc0d9941a16a31122eecf9aad09f 1576 tex optional texlive-base_2009-10.dsc
 3af43bf2e178862ce8f0acd532081099 692607 tex optional texlive-base_2009-10.diff.gz
 f5e77a46d8aaf1f089bc265085e249a4 14733954 tex optional texlive-base_2009-10_all.deb
 412cbaf7f4b78cc13154c4cdf518457a 1725448 tex optional texlive-generic-recommended_2009-10_all.deb
 6bf99915e2703a36e081c3749a02be3c 1420774 tex optional texlive-latex-base_2009-10_all.deb
 4c8919e26e34e72b6e2efdf01da06df3 6764698 tex optional texlive-latex-recommended_2009-10_all.deb
 0d67b8908781fc548ccb26ba38730308 7250918 fonts optional texlive-fonts-recommended_2009-10_all.deb
 e86bc4fadfed75afdfd5af917af79bb3 867198 tex optional texlive-pictures_2009-10_all.deb
 72526e31d83d8781f078c2bff82c9eae 986708 tex optional texlive-luatex_2009-10_all.deb
 698b9b6fcd694e48beabcb4213213e7b 434752 tex optional texlive-metapost_2009-10_all.deb
 bb5c503414df4566df8d653dd80e0295 2264056 tex optional texlive-omega_2009-10_all.deb
 bee2ff7e966e352119b1d33124261e73 5734764 tex optional texlive-xetex_2009-10_all.deb
 ea9206c9b90d658ab58fcbc29421f834 28006 tex optional texlive_2009-10_all.deb
 57017943758aea8fda8e3a28994a3b47 28362 tex optional texlive-full_2009-10_all.deb
 40df85a5f15e8aee87aea32ba2ccc88d 99894 tex optional texlive-common_2009-10_all.deb
 0b0bb2dbd861db5acb04bb10464d490a 2412336 doc optional texlive-fonts-recommended-doc_2009-10_all.deb
 a14dc0b88eb56229b0a4209b87f29718 40768468 doc optional texlive-latex-base-doc_2009-10_all.deb
 06aac0ba807e626496c252742c6740b0 15449884 doc optional texlive-latex-recommended-doc_2009-10_all.deb
 dbb67ab2ab498a8a6947e24413d6a240 9311554 doc optional texlive-metapost-doc_2009-10_all.deb
 f9dfc533d2341717c377725113c580c1 11905244 doc optional texlive-pictures-doc_2009-10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFL+1UO0r9KownFsJQRArsEAJ9TP1xxlzbCnJ/uFxcVLGSsQH5HUgCeMzKG
lz0kQCJnQ2O/BzdXwltjBaA=
=YS/J
-----END PGP SIGNATURE-----





Removed tag(s) squeeze-ignore. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 25 Sep 2010 12:15:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:26:22 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Karl Goetz <karl@kgoetz.id.au> to control@bugs.debian.org. (Sun, 19 Jun 2011 11:12:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Karl Goetz <karl@kgoetz.id.au> to control@bugs.debian.org. (Sun, 19 Jun 2011 11:12:30 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Karl Goetz <karl@kgoetz.id.au> to control@bugs.debian.org. (Wed, 29 Jun 2011 00:15:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Karl Goetz <karl@kgoetz.id.au> to control@bugs.debian.org. (Wed, 29 Jun 2011 00:15:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:45:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.